# Kubernetes Baseline

* [NGINX Ingress Controller](https://kubernetes.github.io/ingress-nginx/)
* [cert-manager](https://cert-manager.io/)
* [metrics-server](https://github.com/bitnami/charts/tree/master/bitnami/metrics-server)
* [prometheus and grafana](https://github.com/prometheus-community/helm-charts/tree/main/charts/kube-prometheus-stack)
* [keel](https://keel.sh)

## Notes

### Linode

ProxyProtocol needs to be enabled for ingress-nginx to see the clients IP in ingress log.

Add the ProxyProtocol annotation to the ingress-nginx service:
```
annotations:
	service.beta.kubernetes.io/linode-loadbalancer-proxy-protocol: v2
```

Update the ingress-nginx ConfigMap to make nginx expect ProxyProtocol data:
```
data:
  use-proxy-protocol: "true"
```
